/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbTupleDataObj {

    private String itemOrder;
    private String taxonomyGroupId;
    private String taxonomyItemId;
    private String taxonomyItemSeq;
    private String parentTaxonomyItemId;
    private String parentTaxonomyItemSeq;
    private String itemValue;
    private String itemPrecision;
    private String itemDecimal;
    private String contextType;
    private String parentEtcId;
    private String value;

    /**
     * contextTypeを取得します。
     * @return contextType
     */
    protected String getContextType() {
        return contextType;
    }

    /**
     * contextTypeを設定します。
     * @param contextType contextType
     */
    protected void setContextType(String contextType) {
        this.contextType = contextType;
    }

    /**
     * itemDecimalを取得します。
     * @return itemDecimal
     */
    protected String getItemDecimal() {
        return itemDecimal;
    }

    /**
     * itemDecimalを設定します。
     * @param itemDecimal itemDecimal
     */
    protected void setItemDecimal(String itemDecimal) {
        this.itemDecimal = itemDecimal;
    }

    /**
     * itemOrderを取得します。
     * @return itemOrder
     */
    protected String getItemOrder() {
        return itemOrder;
    }

    /**
     * itemOrderを設定します。
     * @param itemOrder itemOrder
     */
    protected void setItemOrder(String itemOrder) {
        this.itemOrder = itemOrder;
    }

    /**
     * itemPrecisionを取得します。
     * @return itemPrecision
     */
    protected String getItemPrecision() {
        return itemPrecision;
    }

    /**
     * itemPrecisionを設定します。
     * @param itemPrecision itemPrecision
     */
    protected void setItemPrecision(String itemPrecision) {
        this.itemPrecision = itemPrecision;
    }

    /**
     * itemValueを取得します。
     * @return itemValue
     */
    protected String getItemValue() {
        return itemValue;
    }

    /**
     * itemValueを設定します。
     * @param itemValue itemValue
     */
    protected void setItemValue(String itemValue) {
        this.itemValue = itemValue;
    }

    /**
     * parentEtcIdを取得します。
     * @return parentEtcId
     */
    protected String getParentEtcId() {
        return parentEtcId;
    }

    /**
     * parentEtcIdを設定します。
     * @param parentEtcId parentEtcId
     */
    protected void setParentEtcId(String parentEtcId) {
        this.parentEtcId = parentEtcId;
    }

    /**
     * parentTaxonomyItemIdを取得します。
     * @return parentTaxonomyItemId
     */
    protected String getParentTaxonomyItemId() {
        return parentTaxonomyItemId;
    }

    /**
     * parentTaxonomyItemIdを設定します。
     * @param parentTaxonomyItemId parentTaxonomyItemId
     */
    protected void setParentTaxonomyItemId(String parentTaxonomyItemId) {
        this.parentTaxonomyItemId = parentTaxonomyItemId;
    }

    /**
     * parentTaxonomyItemSeqを取得します。
     * @return parentTaxonomyItemSeq
     */
    protected String getParentTaxonomyItemSeq() {
        return parentTaxonomyItemSeq;
    }

    /**
     * parentTaxonomyItemSeqを設定します。
     * @param parentTaxonomyItemSeq parentTaxonomyItemSeq
     */
    protected void setParentTaxonomyItemSeq(String parentTaxonomyItemSeq) {
        this.parentTaxonomyItemSeq = parentTaxonomyItemSeq;
    }

    /**
     * taxonomyGroupIdを取得します。
     * @return taxonomyGroupId
     */
    protected String getTaxonomyGroupId() {
        return taxonomyGroupId;
    }

    /**
     * taxonomyGroupIdを設定します。
     * @param taxonomyGroupId taxonomyGroupId
     */
    protected void setTaxonomyGroupId(String taxonomyGroupId) {
        this.taxonomyGroupId = taxonomyGroupId;
    }

    /**
     * taxonomyItemIdを取得します。
     * @return taxonomyItemId
     */
    protected String getTaxonomyItemId() {
        return taxonomyItemId;
    }

    /**
     * taxonomyItemIdを設定します。
     * @param taxonomyItemId taxonomyItemId
     */
    protected void setTaxonomyItemId(String taxonomyItemId) {
        this.taxonomyItemId = taxonomyItemId;
    }

    /**
     * taxonomyItemSeqを取得します。
     * @return taxonomyItemSeq
     */
    protected String getTaxonomyItemSeq() {
        return taxonomyItemSeq;
    }

    /**
     * taxonomyItemSeqを設定します。
     * @param taxonomyItemSeq taxonomyItemSeq
     */
    protected void setTaxonomyItemSeq(String taxonomyItemSeq) {
        this.taxonomyItemSeq = taxonomyItemSeq;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}